Bug 629203 - agpgart-intel hangs during initialization
Summary: agpgart-intel hangs during initialization
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 632346 633228 633347 634497 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-01 09:15 UTC by Alfredo Pons Menargues
Modified: 2011-06-28 13:37 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 13:37:13 UTC


Attachments (Terms of Use)
Screenshot k. panic 1 (41.92 KB, image/jpeg)
2010-09-02 07:56 UTC, Alfredo Pons Menargues
no flags Details
Screenshot k. panic 2 (43.00 KB, image/jpeg)
2010-09-02 07:57 UTC, Alfredo Pons Menargues
no flags Details
Boot kernel logs (19.80 KB, text/plain)
2010-09-03 12:07 UTC, Alfredo Pons Menargues
no flags Details
dmesg of kernel 2.6.33.8-149.fc13.i686 (47.19 KB, application/octet-stream)
2010-09-06 16:28 UTC, Alfredo Pons Menargues
no flags Details
dmesg of kernel 2.6.33.8-149.fc13.i686 (47.19 KB, text/plain)
2010-09-06 16:29 UTC, Alfredo Pons Menargues
no flags Details
dmesg of kernel-2.6.34.7.61.fc13.i686 (50.50 KB, text/plain)
2010-10-26 06:32 UTC, Alfredo Pons Menargues
no flags Details

Description Alfredo Pons Menargues 2010-09-01 09:15:17 UTC
Description of problem:

Kernel 2.6.34.6-47: i910 driver causes a kernel panic at boot machine

Version-Release number of selected component (if applicable): Kernel 2.6.34.6-47


How reproducible:

Boot the machine.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

My hardware list

00:00.0 Host bridge: Intel Corporation 82Q35 Express DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)
00:03.0 Communication controller: Intel Corporation 82Q35 Express MEI Controller (rev 02)
00:03.2 IDE interface: Intel Corporation 82Q35 Express PT IDER Controller (rev 02)
00:03.3 Serial controller: Intel Corporation 82Q35 Express Serial KT Controller (rev 02)
00:19.0 Ethernet controller: Intel Corporation 82566DM-2 Gigabit Network Connection (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 02)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92)
00:1f.0 ISA bridge: Intel Corporation 82801IO (ICH9DO) LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller (rev 02)
00:1f.5 IDE interface: Intel Corporation 82801I (ICH9 Family) 2 port SATA IDE Controller (rev 02)

Comment 1 Chuck Ebbert 2010-09-02 00:08:14 UTC
There is no such driver as an i910. Do you mean i810, or i915? And how do you know what driver caused it? You didn't provide any information about any error messages at all.

Comment 2 Alfredo Pons Menargues 2010-09-02 07:55:14 UTC
Sorry, the driver is i915.

Attached two screen shots (sorry for the bad resolution).
The kernel panic occurs immediately after the kernel boot.

Comment 3 Alfredo Pons Menargues 2010-09-02 07:56:31 UTC
Created attachment 442562 [details]
Screenshot k. panic 1

Comment 4 Alfredo Pons Menargues 2010-09-02 07:57:01 UTC
Created attachment 442564 [details]
Screenshot k. panic 2

Comment 5 Alfredo Pons Menargues 2010-09-03 12:07:35 UTC
Created attachment 442873 [details]
Boot kernel logs

Comment 6 Alfredo Pons Menargues 2010-09-03 12:09:17 UTC
I have uploaded the kernel boot logs collected through the serial port.

Comment 7 Chuck Ebbert 2010-09-03 13:49:36 UTC
Does adding "pci=nocrs" to the boot options help?

Comment 8 Need Real Name 2010-09-05 07:42:27 UTC
I had a remote Intel DQ35JOE system hang at boot on this kernel, with no messages to the AMT serial-over-LAN console.  I turned off VT-d in the BIOS, and then it booted partially and froze without a panic message.  Then I added pci=nocrs and it seems to boot OK.  Does this sound like a related issue?  (I found this bug searching for boot hangs with the same kernel version. Unfortunately I cannot access the VGA console to see if there were more error messages not directed to the serial console.)

Comment 9 Alfredo Pons Menargues 2010-09-06 07:20:02 UTC
I've noticed no difference when booting with the option pci=nocrs. The system hangs at the same point as before.

Comment 10 Chuck Ebbert 2010-09-06 14:09:23 UTC
(In reply to comment #9)
> I've noticed no difference when booting with the option pci=nocrs. The system
> hangs at the same point as before.

That message is just a warning, it says. Does it just hang after printing that? Can you attach the boot messages from the working kernel (contents of /var/log/dmesg)?

Linux agpgart interface v0.103
agpgart-intel 0000:00:00.0: Intel Q35 Chipset
resource map sanity check conflict: 0xf0000000 0xf01fffff 0xf0000000 0xf00fffff
0000:00:02.0
------------[ cut here ]------------
WARNING: at arch/x86/mm/ioremap.c:100 __ioremap_caller+0x7d/0x25c()
Hardware name: HP Compaq dc7800 Small Form Factor
Info: mapping multiple BARs. Your kernel is fine.
Modules linked in:
Pid: 1, comm: swapper Tainted: G        W  2.6.34.6-47.fc13.i686 #1
Call Trace:
 [<c043876e>] warn_slowpath_common+0x6a/0x81
 [<c0422553>] ? __ioremap_caller+0x7d/0x25c
 [<c04387c3>] warn_slowpath_fmt+0x29/0x2c
 [<c0422553>] __ioremap_caller+0x7d/0x25c
 [<c05b5042>] ? pci_bus_read_config_word+0x5d/0x69
 [<c04227b6>] ioremap_nocache+0x15/0x17
 [<c06309b0>] ? intel_i915_create_gatt_table+0xdf/0x165
 [<c06309b0>] intel_i915_create_gatt_table+0xdf/0x165
 [<c062a20c>] agp_add_bridge+0x1ba/0x3c3
 [<c040624f>] ? dma_set_mask+0x1f/0x3c
 [<c0782c66>] agp_intel_probe+0x2d8/0x2fd
 [<c05b95ac>] local_pci_probe+0x13/0x15
 [<c05ba17c>] pci_device_probe+0x48/0x6b
 [<c0641b67>] driver_probe_device+0xca/0x1d2
 [<c0641cb7>] __driver_attach+0x48/0x64
 [<c0641174>] bus_for_each_dev+0x42/0x6c
 [<c0641957>] driver_attach+0x19/0x1b
 [<c0641c6f>] ? __driver_attach+0x0/0x64
 [<c0641400>] bus_add_driver+0xfe/0x244
 [<c05a5733>] ? kset_find_obj+0x23/0x4e
 [<c0641f22>] driver_register+0x81/0xe8
 [<c05ba33c>] __pci_register_driver+0x3d/0x9a
 [<c09fe124>] ? agp_intel_init+0x0/0x24
 [<c09fe146>] agp_intel_init+0x22/0x24
 [<c0401143>] do_one_initcall+0x51/0x13f
 [<c09d43f2>] kernel_init+0x197/0x218
 [<c09d425b>] ? kernel_init+0x0/0x218
 [<c04039be>] kernel_thread_helper+0x6/0x10
---[ end trace a7919e7f17c0a726 ]---
agpgart-intel 0000:00:00.0: detected 6140K stolen memory

Comment 11 Alfredo Pons Menargues 2010-09-06 16:27:02 UTC
It is a kernel warning message but after the line:

agpgart-intel 0000:00:00.0: detected 6140K stolen memory

the kernel stops until you restart the machine by pressing the reset button.

With the other kernels this does not happen. Attach the boot messages from kernel 2.6.33.8-149.fc13.i686

Comment 12 Alfredo Pons Menargues 2010-09-06 16:28:14 UTC
Created attachment 443326 [details]
dmesg of kernel 2.6.33.8-149.fc13.i686

Comment 13 Alfredo Pons Menargues 2010-09-06 16:29:56 UTC
Created attachment 443327 [details]
dmesg of kernel 2.6.33.8-149.fc13.i686

Comment 14 Alfredo Pons Menargues 2010-09-09 08:15:32 UTC
With new kernel version 2.6.34.6-54.fc13.i686 the problem remains.

Comment 15 Chuck Ebbert 2010-09-10 21:23:15 UTC
*** Bug 632346 has been marked as a duplicate of this bug. ***

Comment 16 Chuck Ebbert 2010-09-10 21:25:24 UTC
It does look like it's hanging in the AGP init code. The next line should be something like:

agpgart-intel 0000 0:00.0: AGP aperture is 128M @0xf0000000

but it just stops before that.

Comment 17 Chuck Ebbert 2010-09-15 02:32:53 UTC
*** Bug 633347 has been marked as a duplicate of this bug. ***

Comment 18 Chuck Ebbert 2010-09-15 02:33:12 UTC
*** Bug 633228 has been marked as a duplicate of this bug. ***

Comment 19 Chuck Ebbert 2010-09-20 12:18:50 UTC
Should be fixed by this patch, in 2.6.34.7-58:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=e7b96f28c58ca09f15f6c2e8ccbb889a30fab4f7

Bug was introduced in 2.6.35-rc2 and fixed just before 2.6.35 release. But our drm is from some intermediate state between those two.

Comment 20 Chuck Ebbert 2010-09-20 13:01:20 UTC
*** Bug 634497 has been marked as a duplicate of this bug. ***

Comment 21 Eric Doutreleau 2010-10-13 09:16:39 UTC
is there a kernel update planned for this issue?
or even a test kernel.

Comment 22 Jeffrey Wacaser 2010-10-22 23:42:01 UTC
The just released kernel update 2.6.34.7-61.fc13.i686.PAE appears to have corrected this issue for me.  I now boot as expected.

Comment 23 dmi3652@gmail.com 2010-10-26 03:52:26 UTC
I encountered the same problem after updating from 2.6.33.6-147.fc13_x68_64 to 2.6.34.7-57.fc13_x68_64.

My motherboard is "asus p5e-vm do" with Intel Q35 chip-set and graphics adapter based on Intel GMA 3100.

Comment 24 Alfredo Pons Menargues 2010-10-26 06:30:46 UTC
The last released kernel kernel-2.6.34.7.61.fc13.i686 works for me.

Comment 25 Alfredo Pons Menargues 2010-10-26 06:32:56 UTC
Created attachment 455695 [details]
dmesg of kernel-2.6.34.7.61.fc13.i686

This kernel works for me. The problem has been corrected.

Comment 26 Bug Zapper 2011-05-31 14:49:59 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 27 Bug Zapper 2011-06-28 13:37:13 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.